TikTok — trending posts
curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/tiktok/trending \
--header 'Content-Type: application/json' \
--data '{
"region": "US"
}'import requests
url = "https://app.sideshift.app/api/v1/scrape/tiktok/trending"
payload = { "region": "US" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({region: 'US'})
};
fetch('https://app.sideshift.app/api/v1/scrape/tiktok/trending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cursor": null,
"has_more": false,
"region": "US",
"aweme_list": [
{
"anchors": null,
"author_user_id": "7627900927097488398",
"aweme_id": "7669246343336037645",
"aweme_type": 0,
"commerce_info": null,
"create_time": 1785635586,
"create_time_utc": "2026-08-02T01:53:06.000Z",
"desc": null,
"desc_language": null,
"image_post_info": null,
"is_ad": false,
"is_eligible_for_commission": null,
"is_nff_or_nr": null,
"is_paid_partnership": null,
"is_top": null,
"item_comment_settings": 0,
"media_id": "v12044gd0000d9na5unog65ta499kkvg",
"region": "PK",
"shop_product_url": null,
"url": "https://www.tiktok.com/@blackvideo.002/video/7669246343336037645",
"author": {
"events": null,
"language": null,
"nickname": "blackvideo.002",
"region": "PK",
"sec_uid": null,
"short_id": null,
"signature": null,
"social_info": null,
"uid": "7627900927097488398",
"unique_id": "blackvideo.002",
"avatar_larger": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp"
]
},
"avatar_medium": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp"
]
},
"avatar_thumb": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:300:300:q70.webp"
]
}
},
"music": {
"album": null,
"author": "blackvideo.002",
"duration": 5,
"id": "7669246392967760653",
"id_str": "7669246392967760653",
"is_original": false,
"is_original_sound": false,
"mid": "7669246392967760653",
"owner_nickname": "blackvideo.002",
"title": "original sound - blackvideo.002",
"user_count": null,
"cover_large": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp"
]
},
"cover_medium": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp"
]
},
"cover_thumb": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-maliva-avt-0068/69db2ade59e7b043c7682c2725798907~tplv-tiktokx-cropcenter-q:1080:1080:q70.webp"
]
}
},
"statistics": {
"aweme_id": "7669246343336037645",
"collect_count": 341,
"comment_count": 24,
"digg_count": 6836,
"download_count": 63,
"forward_count": null,
"lose_comment_count": null,
"lose_count": null,
"play_count": 292353,
"repost_count": null,
"share_count": 129,
"whatsapp_share_count": null
},
"video": {
"data_size": 33161,
"duration": 5,
"height": null,
"watermark_data_size": 54420,
"width": null,
"cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/okoLESfo6DAwoiFHjqF6DRqAVE0gpBubIUfouE~tplv-tiktokx-shrink_ep:640:640:q78.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/okoLESfo6DAwoiFHjqF6DRqAVE0gpBubIUfouE~tplv-tiktokx-shrink_ep:640:640:q78.webp"
]
},
"download_addr": {
"height": null,
"uri": "https://v77.tiktokcdn.com/ef097ac5f468382222045ce2968b8987/6a77b7c6/video/tos/alisg/tos-alisg-ve-37c799-sg/oQIuEADJRoUbAiDqoFRUfpjifL6E6E1gS0qwBw/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v77.tiktokcdn.com/ef097ac5f468382222045ce2968b8987/6a77b7c6/video/tos/alisg/tos-alisg-ve-37c799-sg/oQIuEADJRoUbAiDqoFRUfpjifL6E6E1gS0qwBw/"
]
},
"dynamic_cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/okoLESfo6DAwoiFHjqF6DRqAVE0gpBubIUfouE~tplv-tiktokx-shrink_ep:640:640:q78.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/okoLESfo6DAwoiFHjqF6DRqAVE0gpBubIUfouE~tplv-tiktokx-shrink_ep:640:640:q78.webp"
]
},
"origin_cover": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/oIqqBu4DE6wF0NoAAgDIbfoTRLiUDDA6EfRIpS~tplv-tiktokx-shrink-aq:360:360:q75.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn.com/tos-useast5-p-0068-tx/oIqqBu4DE6wF0NoAAgDIbfoTRLiUDDA6EfRIpS~tplv-tiktokx-shrink-aq:360:360:q75.webp"
]
},
"play_addr": {
"height": null,
"uri": "https://v77.tiktokcdn.com/c13d417ffae6cd134ee822fb913ddd6d/6a77b7c6/video/tos/alisg/tos-alisg-ve-37c799-sg/ocpFfEB0I5RSlLg6Wf6ouEqUqwYoiDZbbAEgAD/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v77.tiktokcdn.com/c13d417ffae6cd134ee822fb913ddd6d/6a77b7c6/video/tos/alisg/tos-alisg-ve-37c799-sg/ocpFfEB0I5RSlLg6Wf6ouEqUqwYoiDZbbAEgAD/"
]
}
}
}
]
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}The trending / For You feed for a region. Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
POST
/
scrape
/
tiktok
/
trending
TikTok — trending posts
Body
application/json
Response
Completed lookup. 1 SideShift credit.
TikTok platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
Available options:
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes
⌘I